Subject: Re: [PATCH 2/5] arch/kmap: Remove redundant arch specific kmaps

From: Christoph Hellwig <[email-masked]>
Date: Sun, 26 Apr 2020 00:17:15 -0700

On Sat, Apr 25, 2020 at 10:54:03PM -0700, [email-masked] wrote:
> From: Ira Weiny <[email-masked]>
> 
> The kmap code for all the architectures is almost 100% identical.
> 
> Lift the common code to the core.  Use ARCH_HAS_KMAP to indicate if an
> arch needs a special kmap.

Can you add a kmap_flush_tlb hook that csky and mips define, and the
just entirely consolidate the code instead?